org.apache.pdfbox.pdmodel.graphics.optionalcontent

## Enum PDOptionalContentGroup.RenderState

- java.lang.Object
- - java.lang.Enum<PDOptionalContentGroup.RenderState>
  - - org.apache.pdfbox.pdmodel.graphics.optionalcontent.PDOptionalContentGroup.RenderState

All Implemented Interfaces:
  Serializable, Comparable<PDOptionalContentGroup.RenderState>

Enclosing class:
  PDOptionalContentGroup

    public static enum PDOptionalContentGroup.RenderState
    extends Enum<PDOptionalContentGroup.RenderState>

Enumeration for the renderState dictionary entry on the "Export", "View" and "Print" dictionary.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OFF` The "OFF" value.
`ON` The "ON" value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`COSName` `getName()` Returns the PDF name for the state.
`static PDOptionalContentGroup.RenderState` `valueOf(COSName state)` Returns the base state represented by the given `COSName`.
`static PDOptionalContentGroup.RenderState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDOptionalContentGroup.RenderState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ON

    public static final PDOptionalContentGroup.RenderState ON

The "ON" value.

#### OFF

    public static final PDOptionalContentGroup.RenderState OFF

The "OFF" value.

### Method Detail

#### values

    public static PDOptionalContentGroup.RenderState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDOptionalContentGroup.RenderState c : PDOptionalContentGroup.RenderState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDOptionalContentGroup.RenderState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    public static PDOptionalContentGroup.RenderState valueOf(COSName state)

Returns the base state represented by the given `COSName`.

Parameters:
  `state` - the state name
Returns:
  the state enum value

#### getName

    public COSName getName()

Returns the PDF name for the state.

Returns:
  the name of the state